Package javax.validation.metadata

# Interface ElementDescriptor.ConstraintFinder

Enclosing interface:
  `ElementDescriptor`

public static interface ElementDescriptor.ConstraintFinder

## Method Summary

Modifier and Type
Method
Description
`ElementDescriptor.ConstraintFinder`
`declaredOn(ElementType... types)`
`Set<ConstraintDescriptor<?>>`
`getConstraintDescriptors()`
`boolean`
`hasConstraints()`
`ElementDescriptor.ConstraintFinder`
`lookingAt(Scope scope)`
`ElementDescriptor.ConstraintFinder`
`unorderedAndMatchingGroups(Class<?>... groups)`

## Method Details

### unorderedAndMatchingGroups

ElementDescriptor.ConstraintFinder unorderedAndMatchingGroups(Class<?>... groups)

### lookingAt

ElementDescriptor.ConstraintFinder lookingAt(Scope scope)

### declaredOn

ElementDescriptor.ConstraintFinder declaredOn(ElementType... types)

### getConstraintDescriptors

Set<ConstraintDescriptor<?>> getConstraintDescriptors()

### hasConstraints

boolean hasConstraints()